From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/recode/
Date: Fri, 6 Jan 2023 12:11:42 +0000 (UTC) [thread overview]
Message-ID: <1673007095.dd0abdec4238f32d32bc0655b8a366caa9a70b0a.sam@gentoo> (raw)
commit: dd0abdec4238f32d32bc0655b8a366caa9a70b0a
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 6 12:10:01 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 6 12:11:35 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd0abdec
app-text/recode: add 3.7.13
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-text/recode/Manifest | 1 +
app-text/recode/recode-3.7.13.ebuild | 69 ++++++++++++++++++++++++++++++++++++
2 files changed, 70 insertions(+)
diff --git a/app-text/recode/Manifest b/app-text/recode/Manifest
index 0f94ebaf0544..81c6c925cb95 100644
--- a/app-text/recode/Manifest
+++ b/app-text/recode/Manifest
@@ -1 +1,2 @@
DIST recode-3.7.12.tar.gz 2399126 BLAKE2B 420ba6f96d532da4ae0e1861b512c39ad59f1f63b0e0ef061dcff95c15ff4ed82a3b7bb72f6abb29f85588476a76cb5d50151ca9e3f857c2c1c09727ccdd2890 SHA512 365602bf7b20e5362d13d1ab5269419f7f0838fb81dc01c466ea99c38eb1b979f8d707d24ca3dabbd3a0c65cde97704b570007ac60689d88bbafd33351d37d95
+DIST recode-3.7.13.tar.gz 2400432 BLAKE2B 457ba7855aeb5ae8b0cc32ee82b5b61b1b46ba2908406c0c10a76ae242343f421e81038b9bb6784089e8e3e687ecc0f61a6263c24f6b234962f94853e9359734 SHA512 af86754ed2ed1dc414f1dd7ab3564d606abb309766fb02bf085e56241527a74ac7141617956d01b0797e8e426cfb39ec597bd221d8ad58d9246e96b228e65b00
diff --git a/app-text/recode/recode-3.7.13.ebuild b/app-text/recode/recode-3.7.13.ebuild
new file mode 100644
index 000000000000..b028f8eba188
--- /dev/null
+++ b/app-text/recode/recode-3.7.13.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit autotools flag-o-matic python-any-r1 toolchain-funcs
+
+DESCRIPTION="Convert files between various character sets"
+HOMEPAGE="https://github.com/rrthomas/recode"
+SRC_URI="https://github.com/rrthomas/recode/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+# librecode soname version
+SLOT="0/3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
+IUSE="nls test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="virtual/libiconv"
+DEPEND="
+ ${RDEPEND}
+ sys-devel/flex
+"
+BDEPEND="
+ nls? ( sys-devel/gettext )
+ test? (
+ ${PYTHON_DEPS}
+ $(python_gen_any_dep '
+ dev-python/cython[${PYTHON_USEDEP}]
+ ')
+ )
+"
+
+python_check_deps() {
+ python_has_version "dev-python/cython[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ tc-export CC LD
+
+ # on solaris -lintl is needed to compile
+ [[ ${CHOST} == *-solaris* ]] && append-libs "-lintl"
+
+ # -fanalyzer substantially slows down the build and isn't useful for
+ # us. It's useful for upstream as it's static analysis, but it's not
+ # useful when just getting something built.
+ export gl_cv_warn_c__fanalyzer=no
+
+ econf \
+ $(use_enable nls) \
+ --disable-static
+}
+
+src_install() {
+ default
+
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2023-01-06 12:11 UTC|newest]
Thread overview: 71+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-01-06 12:11 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-06 12:04 [gentoo-commits] repo/gentoo:master commit in: app-text/recode/ Sam James
2023-03-24 14:14 Arthur Zamarin
2023-03-24 13:42 Arthur Zamarin
2023-03-22 22:36 Sam James
2023-03-22 6:00 Sam James
2023-03-22 5:44 Sam James
2023-03-04 15:27 Arthur Zamarin
2023-03-04 13:53 Arthur Zamarin
2023-03-04 11:58 Arthur Zamarin
2023-03-04 11:15 Arthur Zamarin
2023-03-04 7:41 Arthur Zamarin
2023-03-04 5:49 Arthur Zamarin
2023-02-08 2:59 Sam James
2023-01-07 8:16 Sam James
2022-11-22 7:05 Sam James
2022-11-22 7:05 Sam James
2022-10-28 2:33 Sam James
2022-09-22 2:01 Sam James
2022-09-22 2:00 Sam James
2022-06-02 7:31 Jakov Smolić
2022-06-02 4:30 Jakov Smolić
2022-06-02 4:00 Sam James
2022-06-02 4:00 Sam James
2022-06-02 3:37 Sam James
2022-06-02 3:37 Sam James
2022-06-02 3:05 Sam James
2022-06-02 3:05 Sam James
2022-02-17 19:38 Sam James
2022-01-27 19:30 Sam James
2022-01-27 19:30 Sam James
2022-01-24 19:19 Sam James
2022-01-21 23:58 Sam James
2021-08-13 20:41 Michał Górny
2021-08-13 20:41 Michał Górny
2021-08-13 0:40 Sam James
2021-08-11 19:11 Sam James
2021-08-11 0:23 Sam James
2021-08-11 0:12 Sam James
2021-08-11 0:04 Sam James
2021-08-11 0:02 Sam James
2021-06-02 10:58 Sam James
2021-02-16 12:34 Sam James
2021-02-14 2:10 Sam James
2021-02-08 6:07 Sam James
2021-02-07 8:59 Sam James
2021-02-07 8:57 Sam James
2021-02-07 1:06 Sam James
2021-02-07 1:06 Sam James
2021-01-06 13:46 Fabian Groffen
2021-01-04 5:16 Sam James
2021-01-04 5:16 Sam James
2020-07-29 18:40 Sam James
2020-07-29 17:05 Sergei Trofimovich
2020-07-29 16:22 Sam James
2020-07-29 16:22 Sam James
2020-07-27 17:32 Sam James
2020-07-27 13:54 Sam James
2020-07-27 13:54 Sam James
2020-07-27 3:50 Sam James
2020-05-16 14:56 Mike Gilbert
2020-05-16 14:36 Mike Gilbert
2020-05-15 10:15 Joonas Niilola
2020-05-15 10:15 Joonas Niilola
2019-08-29 11:39 David Seifert
2019-05-22 2:52 Aaron Bauman
2018-05-29 20:26 Patrice Clement
2017-08-19 19:34 Patrice Clement
2017-08-03 20:18 Patrice Clement
2017-01-29 15:24 Fabian Groffen
2016-01-13 17:36 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1673007095.dd0abdec4238f32d32bc0655b8a366caa9a70b0a.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox